ConnectCloud Developers

List key groups (tenant:dms:read)

GET /api/dms/v1/key-groups

Module: DMS · operationId: listKeyGroups · Tag: Encryption · Auth: access token (Authorization: Bearer <accessToken>)

Responses

  • 200 Key groups, by name (application/json)

Fields of the 200 answer:

  • items (array of KeyGroup, required): The key groups of the tenant
    • algorithm (string): Key agreement algorithm
    • createdAt (string (date-time)): Creation time
    • createdBy (string): Who created the group
    • description (string): Description
    • id (string (uuid)): Key group id
    • members (array of object): Members of the group
      • addedBy (string): Who added the member
      • createdAt (string (date-time)): Time the member was added
      • userId (string): User id (e-mail address)
    • name (string): Name, unique per tenant
    • publicKey (string): Base64 SPKI public key of the group
  • total (integer, required): Number of key groups

Example 200 answer:

{
  "items": [
    {
      "algorithm": "ECDH-P256",
      "createdAt": "2026-03-10T14:20:00Z",
      "createdBy": "thomas.pfeiffer@muster-it.example",
      "description": "Personalakten und Gehaltsunterlagen",
      "id": "5d7f9b1d-3e5a-4c7b-9d1f-7b9d1f3a5c7e",
      "members": [
        {
          "addedBy": "thomas.pfeiffer@muster-it.example",
          "createdAt": "2026-03-10T14:20:00Z",
          "userId": "thomas.pfeiffer@muster-it.example"
        },
        {
          "addedBy": "thomas.pfeiffer@muster-it.example",
          "createdAt": "2026-03-10T14:22:31Z",
          "userId": "christina.adler@muster-it.example"
        }
      ],
      "name": "Personalabteilung",
      "publicKey": "MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEexamplePublicKeyOfTheGroupP256xyz"
    }
  ],
  "total": 1
}

Example request

curl -X GET 'https://api.mbcom.cloud/api/dms/v1/key-groups' \
  -H "Authorization: Bearer $ACCESS_TOKEN"

View as Markdown · Interactive reference · OpenAPI